com.atid.lib.module.barcode.spc.type

## Enum CheckDigit

- java.lang.Object
- - java.lang.Enum<CheckDigit>
  - - com.atid.lib.module.barcode.spc.type.CheckDigit

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<CheckDigit>

      public enum CheckDigit
      extends java.lang.Enum<CheckDigit>
      implements IEnumType

  No Check Digit indicates that the scanner reads and transmits bar code data with or without a check digit. When Check Digit is set to Validate, but Don’t Transmit, the unit only reads ( NEC 2 of 5 or Interleaved 2 of 5) bar codes printed with a check digit, but will not transmit the check digit with the scanned data. When Check Digit is set to Validate and Transmit, the scanner only reads ( NEC 2 of 5 or Interleaved 2 of 5 ) bar codes printed with a check digit, and will transmit this digit at the end of the scanned data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NoCheckDigit`
    `ValidateandTransmit`
    `ValidateButDonotTransmit`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static CheckDigit` | `valueOf(int code)`
    `static CheckDigit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CheckDigit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoCheckDigit

          public static final CheckDigit NoCheckDigit

    - #### ValidateButDonotTransmit

          public static final CheckDigit ValidateButDonotTransmit

    - #### ValidateandTransmit

          public static final CheckDigit ValidateandTransmit

  - ### Method Detail

    - #### values

          public static CheckDigit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CheckDigit c : CheckDigit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CheckDigit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<CheckDigit>`

    - #### valueOf

          public static CheckDigit valueOf(int code)